Fills the specific cart with items. If the cart already has an item with the same SKU, the existing item position will be replaced by the passed value.
Shop Builder API (2.0.0)
- Version: 2.0.0
- Servers:
https://store.xsolla.com/api - Contact Us by Email
- Contact URL: https://xsolla.com/
- Required TLS version: 1.2
Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.
Personalized catalog
This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.
For personalized promotions see Promotions section.
To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart/{cart_id}/fill
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/fill
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart/custom_id/fill \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"items": [
{
"sku": "com.xsolla.booster_mega_1",
"quantity": 123
}
]
}'The cart with items was successfully returned.
Cart price.
Applied promotions for the entire cart. The array is returned in the following cases:
A promotion affects the total cart amount, such as a promo code with the Discount on purchase setting.
A promotion adds bonus items to the cart.
If no order-level promotions are applied, an empty array is returned.
{ "cart_id": "cart_id", "is_free": false, "items": [ { … } ], "warnings": [ { … } ], "price": { "amount": "6150.0000000000000000", "amount_without_discount": "6150.0000000000000000", "currency": "USD" }, "promotions": [ { … } ] }
Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"quantity": 123
}'Project ID. You can find this parameter in your Publisher Account next to the name of the project.
- Mock serverhttps://xsolla.redocly.app/_mock/api/shop-builder/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- https://store.xsolla.com/api/v2/project/{project_id}/cart/{cart_id}/item/{item_sku}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/cart/custom_id/item/booster_mega_1 \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'